Bug 1738455 (CVE-2019-8675) - CVE-2019-8675 cups: stack-buffer-overflow in libcups's asn1_get_type function
Summary: CVE-2019-8675 cups: stack-buffer-overflow in libcups's asn1_get_type function
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-8675
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1742934 1774461 1774462
Blocks: 1738500
TreeView+ depends on / blocked
 
Reported: 2019-08-07 08:40 UTC by msiddiqu
Modified: 2020-09-29 19:21 UTC (History)
3 users (show)

Fixed In Version: cups 2.2.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 16:33:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1765 None None None 2020-04-28 15:50:39 UTC
Red Hat Product Errata RHSA-2020:3864 None None None 2020-09-29 19:21:47 UTC

Description msiddiqu 2019-08-07 08:40:04 UTC
A stack-buffer-overflow was found in libcups's asn1_get_type function

Comment 5 msiddiqu 2019-08-08 06:41:45 UTC
Acknowledgments:

Name: Apple Product Security
Upstream: Stephan Zeisberg (Security Research Labs)

Comment 9 msiddiqu 2019-08-17 19:19:33 UTC
Created cups tracking bugs for this issue:

Affects: fedora-all [bug 1742934]

Comment 10 Fedora Update System 2019-09-03 12:32:39 UTC
cups-2.2.12-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 errata-xmlrpc 2020-04-28 15:50:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1765 https://access.redhat.com/errata/RHSA-2020:1765

Comment 13 Product Security DevOps Team 2020-04-28 16:33:46 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-8675

Comment 14 errata-xmlrpc 2020-09-29 19:21:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:3864 https://access.redhat.com/errata/RHSA-2020:3864


Note You need to log in before you can comment on or make changes to this bug.